QGIS Application - Bug report #3668
GDALTools: DEM throws an error
2011-03-23 12:12 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 13727
Description

When activating the Raster>DEM menu, | immediately get an error:

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/GdalTools/GdalTools.py", line 322, in doDEM
d = DEM( self.iface )
File "/usr/share/qgis/python/plugins/GdalTools/tools/doDEM.py", line 47, in +init+
(self.colorAlphaCheck, SIGNAL("stateChanged(int)"))
File "/usr/share/qgis/python/plugins/GdalTools/tools/widgetPluginBase.py", line 108, in setParamsStatus
self.setParamsStatus(wdgts_sgnls_chk_ver)
File "/usr/share/qgis/python/plugins/GdalTools/tools/widgetPluginBase.py", line 148, in setParamsStatus
gdalVer = Utils.GdalConfig.version()
File "/usr/share/qgis/python/plugins/GdalTools/tools/GdalTools_utils.py", line 443, in version
return Version(gdal.Versioninfo("RELEASE_NAME"))
[[RuntimeError]]: Invalid index : -1
Versione Python:
2.6.6 (r266:84292, Dec 26 2010, 22:48:11)
[GCC 4.4.5]

Versione di QGIS:

1.7.0-Wroclaw Wroclaw, 15577M
This with gdal 1.7.3:

>>> from osgeo import gdal

>>> print gdal.VersionInfo("RELEASE_NAME")
1.7.3

History

#1 - 2011-03-23 05:41 AM - Giuseppe Sucameli
Does DEM tool only throw this error?

Could you check the gdal version from [[GdalTools]] about dialog?

#2 - 2011-03-23 05:44 AM - Paolo Cavallini
Yes, only DEM. The GDAL version reported in the About is the same as above (1.7.3).
Thanks.

#3 - 2011-03-23 07:16 AM - Paolo Cavallini
- Resolution set to worksforme
- Status changed from Open to Closed

| do not understand why, but now it works.
